<TeXmacs|1.99.2>

<style|<tuple|old-beamer|vdh|mega|english>>

<\body>
  <screens|<\shown>
    \;

    <with|par-mode|center|<with|color|red|<strong|<\with|font-size|1.41>
      Effective Analytic Functions
    </with>>>>

    \;

    <\with|par-mode|center>
      <with|color|blue|<math|\<infty\><space|-0.4spc>\<infty\><space|-0.4spc>\<infty\>>>

      \;

      <with|font-shape|small-caps|<with|font-family|rm|by Joris van der
      Hoeven<vspace|0.5fn>>>

      C.N.R.S., Universit Paris-Sud<vspace|0.5fn>

      <with|font-family|rm|<with|font|chancellary|MEGA' 03, Kaiserslautern,
      14/6/2003>>

      \;

      <with|color|blue|<math|\<infty\><space|-0.4spc>\<infty\><space|-0.4spc>\<infty\>>>
    </with>

    \;

    <with|par-mode|center|<htab|5mm><tabular|<tformat|<cwith|1|-1|1|-1|cell
    mode|c>|<cwith|1|2|1|2|cell-valign|c>|<table|<row|<cell|<image|gleeson_head.jpg|0.5w|0.5h||>>|<cell|<with|font-size|0.84|Written
    using <with|color|dark green|GNU <with|color|brown|T<space|-0.6spc>><rsub|<space|-1.2spc><move|<resize|<with|math-level|0|E>||||0.5fn>|0fn|-0.1fn>><space|-0.4spc><with|color|brown|X><rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn>|0fn|-0.1fn>>>
    (<tt|www.texmacs.org>)>>|<cell|<image|flipped_gleeson_head.jpg|0.5w|0.5h||>>>>>><htab|5mm>>
  </shown>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Computation
    with transcendental functions>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <subsubsection*|Functions of interest>

    <\itemize>
      <item>``Simple functions'' and closure under
      <math|+,\<times\>,\<partial\>,<big|int>,\<circ\><big|.>>, etc.

      <item>Solutions to algebraic differential equations.
    </itemize>

    <subsubsection*|Testing functional identities>

    <\itemize>
      <item><math|sin<rsup|2> x+cos<rsup|2> x=1>

      <item><math|log(x<rsup|x<rsup|x>>+e<rsup|x*log x>)-x<rsup|x>*log x=log
      (1+x<rsup|x*(1-x<rsup|x-1>)>)>

      <item><math|<sqrt|<sqrt|32/5|5>-<sqrt|27/5|5>|3>=(1+<sqrt|3|5>-<sqrt|9|5>)/<sqrt|25|5>>
    </itemize>

    <\with|par-mode|center>
      <with|color|blue|functional identities = constant identities + power
      series identities>
    </with>

    <subsubsection*|Evaluating functions whereever they are defined>

    <\itemize>
      <item>Fast algorithms for safe numerical evaluation (relaxed power
      series).

      <item>Analytic continuation.
    </itemize>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Warning>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <\theorem>
      <no-break><with|font-shape|right|[DL]> Given a power series
      <math|f=<big|sum>f<rsub|n>*z<rsup|n>> with rational coefficients, which
      is the unique solution of an algebraic differential equation

      <\equation*>
        P(z,f,\<ldots\>,f<rsup|(l)>)=0,
      </equation*>

      with rational coefficients and rational initial conditions, one cannot
      in general decide whether the radius of convergence <math|\<rho\>(f)>
      of <math|f> is <math|\<less\>1> or <math|\<geqslant\>1>.
    </theorem>

    <action|Columbus|(system "columbus &")>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Effective
    germs>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <subsubsection*|Effective complex number>

    Instance <math|z> of abstract data type <math|<value|CT>>, with method

    <\itemize>
      <item><math|<math-ss|approximate>:\<bbb-Z\>\<rightarrow\>(\<bbb-Z\>+\<mathi\>*\<bbb-Z\>)*2<rsup|\<bbb-Z\>>;k\<longmapsto\><wide|z|~>>,
      with <math|\|<wide|z|~>-z\|\<less\>2<rsup|k>>.
    </itemize>

    <subsubsection*|Effective series>

    Instance <math|f> of abstract data type <math|<value|ST>(<type|R>)>, with
    method

    <\itemize>
      <item><math|<math-ss|expand>:\<bbb-N\>\<rightarrow\><type|R>[z];n\<longmapsto\>f<rsub|0>+\<cdots\>+f<rsub|n-1>*z<rsup|n-1>>.
    </itemize>

    <subsubsection*|Effective germ (at the origin)>

    Instance <math|f> of abstract data type <math|<value|GT>> which extends
    <math|<type|Series>(<type|Complex>)> with the following additional
    methods:

    <\itemize>
      <item><math|<math-ss|radius>:()\<rightarrow\><value|RT>\<cup\>{+\<infty\>}>
      returns a lower bound <math|\<rho\>(f)\<gtr\>0> for
      <math|\<rho\>(<wide|f|\<bar\>>)>. This bound is called the
      <em|effective radius of convergence> of <math|f>.

      <item><math|<math-ss|norm>:<value|RT>\<rightarrow\><value|RT>>, which,
      given <math|0\<less\>r\<less\>\<rho\>(f)>, returns an upper bound
      <no-break><math|\|f\|<rsub|r>> for <math|\|<wide|f|\<bar\>>\|<rsub|r>>.
      We assume that <math|\|f\|<rsub|r>> is increasing in <math|r>.
    </itemize>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Evaluation
    of effective germs>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <\with|par-par-sep|0.3333fn>
      <\named-algorithm-old|<math|<math-ss|evaluate-approx>(f,z,\<varepsilon\>)>>
        \;

        <item*|Input><math|f\<in\><type|Germ>> and
        <math|z\<in\><type|Complex>> with <math|\|z\|\<less\>\<rho\>(f)>, and
        <math|\<varepsilon\>\<in\>2<rsup|\<bbb-Z\>>>

        <item*|Output>an approximation <math|<wide|f|~>> for <math|f(z)> with
        <math|\|<wide|f|~>-f(z)\|\<less\>\<varepsilon\>>

        <\algorithm-body>
          <item*|Step 1>[Compute expansion order]

          <\indent>
            Let <math|r=(\<rho\>(f)+\|z\|)/2> and <math|M=\|f\|<rsub|r>>

            Let <math|n\<in\>\<bbb-N\>> be smallest such that

            <\equation*>
              <frac|M*r|r-\|z\|>*<left|(><frac|\|z\||r><right|)><rsup|n>\<less\><frac|\<varepsilon\>|2>
            </equation*>
          </indent>

          <item*|Step 2>[Approximate the series expansion]

          <\indent>
            Compute <math|<wide|f|^>=f<rsub|0>+f<rsub|1>*z+\<cdots\>+f<rsub|n-1>*z<rsup|n-1>\<in\>><type|Complex>

            Return <math|<wide|f|^><rsub|\<less\>\<varepsilon\>/2>>
          </indent>
        </algorithm-body>
      </named-algorithm-old>

      <with|color|red|Proof>

      <\equation*>
        \|<wide|f|^>-f(z)\|\<leqslant\><frac|\|z\|<rsup|n>|2*\<mathpi\>>*<left|\|><big|oint><rsub|\|w\|=r><frac|M|(r-\|z\|)*r<rsup|n>>*\<mathd\>
        w<right|\|>=<frac|M*r|r-\|z\|>*<left|(><frac|\|z\||r><right|)><rsup|n>\<less\><frac|\<varepsilon\>|2>.
      </equation*>
    </with>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Effective
    analytic functions>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <subsubsection*|Quasi-effective analytic function>

    Instance <math|f> of the abstract data type <math|<value|AT>>, which
    extends <math|<type|Germ>> with

    <\itemize>
      <item><math|<math-ss|continue>:<value|CT>\<rightarrow\><value|AT>>
      computes <math|f<rsub|+\<delta\>>> for all <math|\<delta\>> with
      <math|\|\<delta\>\|\<less\>\<rho\>(f)>.
    </itemize>

    <with|color|blue|Effective domain> of <math|f>: effective paths
    <math|\<gamma\>=[\<delta\><rsub|1>,\<ldots\>,\<delta\><rsub|l>]\<in\><type|Path>>
    with

    <\equation*>
      \|\<delta\><rsub|i>\|\<less\>\<rho\>(f<rsub|+\<delta\><rsub|1>,\<ldots\>,+\<delta\><rsub|i-1>>).
    </equation*>

    <subsubsection*|Homotopy condition>

    If <math|\<gamma\>,\<gamma\>+[\<delta\><rsub|1>],\<gamma\>+[\<delta\><rsub|1>,\<delta\><rsub|2>],\<gamma\>+[\<delta\><rsub|1>+\<delta\><rsub|2>]\<in\>Dom
    f>, then

    <\equation*>
      f<rsub|+\<gamma\>,+(\<delta\><rsub|1>+\<delta\><rsub|2>)>\<equiv\>f<rsub|+\<gamma\>,+\<delta\><rsub|1>,+\<delta\><rsub|2>>.
    </equation*>

    <subsubsection*|Continuity condition>

    Locally: <math|\<delta\>\<mapsto\>\<rho\>(f<rsub|+\<delta\>>)> and
    <math|(\<delta\>,r)\<mapsto\>\|f<rsub|+\<delta\>>\|<rsub|r>> extend by
    continuity.

    Globally: this is the case for all <math|f<rsub|+\<gamma\>>> with
    <math|\<gamma\>\<in\>Dom f>.
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Evaluation
    modulo subdivision>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <\with|par-par-sep|0.3333fn>
      <subsubsection*|Extended effective domain>

      <math|Dom<rsup|\<sharp\>> f={\<gamma\>:\<gamma\><rprime|'>\<in\>Dom f
      <text|for some subdivision <math|\<gamma\><rprime|'>> of >\<gamma\>}>.

      <math|f> <em|faithful> if <math|Dom<rsup|\<sharp\>> f=Dom
      <wide|f|\<bar\>>\<cap\><type|Path>>.

      <subsubsection*|Evaluation on extended domain>

      <math|0\<less\>\<lambda\>\<less\>1>

      <\named-algorithm-old|<math|<math-ss|evaluate-subdiv>(f,\<gamma\>)>>
        \;

        <item*|Input><math|f\<in\><type|AnFunc>> and
        <math|\<gamma\>\<in\><type|Path>>, such that
        <math|\<gamma\>\<in\>Dom<rsup|\<sharp\>> f>

        <item*|Output><math|f(\<gamma\>)>

        <\algorithm-body>
          <item*|Step 1>[Handle trivial cases]

          <\indent>
            If <math|\<gamma\>=\<epsilon\>>, then return <math|f(0)>

            Write <math|\<gamma\>=[\<delta\>]+\<gamma\><rprime|'>>

            If <math|\<delta\>\<less\>\<rho\>(f)> then return
            <math|<math-ss|evaluate-subdiv>(f<rsub|+\<delta\>>,\<gamma\><rprime|'>)>
          </indent>

          <item*|Step 2>[Subdivide path]

          <\indent>
            Let <math|\<delta\><rsub|1>=\<lambda\>*\|\<rho\>(f)\|*\<delta\>/\|\<delta\>\|>

            Return <math|<math-ss|evaluate-subdiv>(f<rsub|+\<delta\><rprime|'>>,[\<delta\>-\<delta\><rprime|'>]+\<gamma\><rprime|'>)>
          </indent>
        </algorithm-body>
      </named-algorithm-old>
    </with>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|The
    identity function>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <\class|<math|<type|IdentityAnFunc>\<vartriangleright\><type|AnFunc>>>
      \;

      <\algorithm-body>
        <\itemize>
          <item><math|z\<in\><value|CT>>

          <item><math|<math-ss|new>:()\<mapsto\>z\<assign\>0>

          <item><math|<math-ss|new>:<wide|z|~>\<in\><type|Complex>\<mapsto\>z\<assign\><wide|z|~>>

          <item><math|<math-ss|radius>:()\<mapsto\>\<infty\>>

          <item><math|<math-ss|norm>:r\<mapsto\>\|z\|+r>

          <item><math|<math-ss|continue>:\<delta\>\<mapsto\><type|IdentityAnFunc>(z+\<delta\>)>
        </itemize>
      </algorithm-body>
    </class>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Integration>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <\class|<math|<type|IntAnFunc>\<vartriangleright\><type|AnFunc>>>
      \;

      <\algorithm-body>
        <\itemize>
          <item><math|f\<in\><value|AT>>

          <item><math|c\<in\><type|Complex>>

          <item><math|<math-ss|new>:<wide|f|~>\<mapsto\>f\<assign\><wide|f|~>>,
          <math|c\<assign\>0>

          <item><math|<math-ss|new>:(<wide|f|~>\<in\><type|AnFunc>,<wide|c|~>\<in\><type|Complex>)\<mapsto\>f\<assign\><wide|f|~>,c\<assign\><wide|c|~>>

          <item><math|<math-ss|radius>:()\<mapsto\>\<rho\>(f)>

          <item><math|<math-ss|norm>:r\<mapsto\>\|c\|+r*\|f\|<rsub|r>>

          <item><math|<math-ss|continue>:\<delta\>\<mapsto\><type|IntAnFunc>(f<rsub|+\<delta\>>,<math-ss|this>(\<delta\>))>
        </itemize>
      </algorithm-body>
    </class>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Inversion>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <math|0\<less\>\<lambda\>\<less\>1>

    <\class|<math|<type|InvAnFunc>\<vartriangleright\><type|AnFunc>>>
      \;

      <\algorithm-body>
        <\itemize>
          <item><math|f\<in\><value|AT>>

          <item><math|<math-ss|new>:<wide|f|~>\<in\><type|AnFunc>\<mapsto\>f\<assign\><wide|f|~>>

          <item><math|<math-ss|radius>:()\<mapsto\>min<left|(>\<lambda\>*\<rho\>(f),<with|math-display|true|<frac|\|f(0)\||\|f<rprime|'>\|<rsub|\<lambda\>*\<rho\>(f)>>><right|)>>

          <item><math|<math-ss|norm>:r\<mapsto\><with|math-display|true|<frac|1|\|f(0)\|-\|f<rprime|'>\|<rsub|r>*r>>>

          <item><math|<math-ss|continue>:\<delta\>\<mapsto\><type|InvAnFunc>(f<rsub|+\<delta\>>)>
        </itemize>
      </algorithm-body>
    </class>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Linear
    differential equation>s>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    Consider the linear differential equation

    <\equation>
      <label|lineq>f<rsup|(l)>=L<rsub|l-1>*f<rsup|(l-1)>+\<cdots\>+L<rsub|0>*f.
    </equation>

    with initial conditions <math|f(0)=\<nu\><rsub|0>,\<ldots\>,f<rsup|(l-1)>(0)=\<nu\><rsub|l-1>>.

    <\render-theorem|Theorem 2>
      <label|lin-th>Let <math|L<rsub|0>,\<ldots\>,L<rsub|l-1>\<in\><type|<with|font-shape|right|AnFunc>>>
      and let <math|\<nu\><rsub|0>,\<ldots\>,\<nu\><rsub|l-1>\<in\><type|<with|font-shape|right|Complex>>>.
      Then there exists an effective analytic solution <math|f> to
      <with|font-shape|right|(<reference|lineq>)> with

      <\equation*>
        Dom <no-break>f=Dom (L<rsub|1>,\<ldots\>,L<rsub|l>)<text|.>
      </equation*>

      In particular, if <math|Dom (L<rsub|1>,\<ldots\>,L<rsub|l>)> is
      effective, then so is <math|Dom f>.
    </render-theorem>

    <\proof>
      Uses very sharp version of the majorant method.
    </proof>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|<with|color|black|Algebraic
    differential equations>>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <assign|equation-nr|1>Consider the system of algebraic differential
    equations

    <\equation>
      <label|ade><frac|\<mathd\>|\<mathd\> z>
      <matrix|<tformat|<table|<row|<cell|f<rsub|1>>>|<row|<cell|\<vdots\>>>|<row|<cell|f<rsub|l>>>>>>=<matrix|<tformat|<table|<row|<cell|P<rsub|1>(f<rsub|1>,\<ldots\>,f<rsub|l>)>>|<row|<cell|\<vdots\>>>|<row|<cell|P<rsub|l>(f<rsub|1>,\<ldots\>,f<rsub|l>)>>>>>
    </equation>

    with initial conditions <math|f<rsub|1>(0)=\<nu\><rsub|1>,\<ldots\>,f<rsub|l>(0)=\<nu\><rsub|l>>.

    <render-theorem|Theorem 3|<label|ade-th>Let
    <math|P<rsub|1>,\<ldots\>,P<rsub|l>> be polynomials with coefficients in
    <with|font-shape|right|<math|<type|Complex>>> and let
    <math|\<nu\><rsub|1>,\<ldots\>,\<nu\><rsub|l>\<in\><type|<with|font-shape|right|Complex>>>.
    Then the system <with|font-shape|right|(<reference|ade>)> admits a
    faithful effective analytic solution <math|(f<rsub|1>,\<ldots\>,f<rsub|l>)>.>

    <\proof>
      \;

      <\itemize>
        <item>Majorant method.

        <item>Continuity condition + compactness of path
        <math|\<longrightarrow\>> faithfulness.
      </itemize>
    </proof>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|bg-color|white>
    <associate|color|black>
    <associate|font-family|ss>
    <associate|page-bot|5mm>
    <associate|page-even|5mm>
    <associate|page-odd|5mm>
    <associate|page-right|5mm>
    <associate|page-show-hf|true>
    <associate|page-top|5mm>
    <associate|preamble|false>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|aade|<tuple|1|?>>
    <associate|ade|<tuple|2|10|mega03.tm>>
    <associate|ade-ref|<tuple|2|11>>
    <associate|ade-th|<tuple|2|?|mega03.tm>>
    <associate|auto-1|<tuple|?|?|mega03.tm>>
    <associate|auto-10|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-11|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-2|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-3|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-4|<tuple|1|?|mega03.tm>>
    <associate|auto-5|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-6|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-7|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-8|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|auto-9|<tuple|<with|mode|<quote|math>|\<bullet\>>|?|mega03.tm>>
    <associate|decomp|<tuple|2.|?>>
    <associate|exth|<tuple|1|?>>
    <associate|gen-conv-def|<tuple|<uninit>|?>>
    <associate|lin-th|<tuple|1|?|mega03.tm>>
    <associate|lineq|<tuple|1|?|mega03.tm>>
    <associate|loc-th-2|<tuple|1|?>>
    <associate|locconv|<tuple|1|?>>
    <associate|osc-eq|<tuple|<uninit>|?>>
    <associate|osc1|<tuple|2|?>>
    <associate|recrel|<tuple|3.|?>>
    <associate|ref|<tuple|1|11>>
    <associate|toc-1|<tuple|<uninit>|2>>
    <associate|toc-10|<tuple|8|6>>
    <associate|toc-11|<tuple|8|6>>
    <associate|toc-12|<tuple|8|7>>
    <associate|toc-13|<tuple|10|7>>
    <associate|toc-14|<tuple|10|7>>
    <associate|toc-15|<tuple|12|7>>
    <associate|toc-16|<tuple|12|8>>
    <associate|toc-17|<tuple|10|8>>
    <associate|toc-18|<tuple|12|9>>
    <associate|toc-19|<tuple|12|10>>
    <associate|toc-2|<tuple|<uninit>|2>>
    <associate|toc-20|<tuple|13|10>>
    <associate|toc-21|<tuple|13|10>>
    <associate|toc-22|<tuple|13|10>>
    <associate|toc-23|<tuple|13|11>>
    <associate|toc-24|<tuple|11|11>>
    <associate|toc-25|<tuple|13|12>>
    <associate|toc-26|<tuple|13|12>>
    <associate|toc-27|<tuple|14|13>>
    <associate|toc-28|<tuple|14|13>>
    <associate|toc-29|<tuple|14|13>>
    <associate|toc-3|<tuple|<uninit>|2>>
    <associate|toc-30|<tuple|14|14>>
    <associate|toc-31|<tuple|14|14>>
    <associate|toc-32|<tuple|14|14>>
    <associate|toc-33|<tuple|14|15>>
    <associate|toc-34|<tuple|14|15>>
    <associate|toc-35|<tuple|14|16>>
    <associate|toc-36|<tuple|14|16>>
    <associate|toc-37|<tuple|14|17>>
    <associate|toc-4|<tuple|<uninit>|3>>
    <associate|toc-5|<tuple|6|4>>
    <associate|toc-6|<tuple|5|4>>
    <associate|toc-7|<tuple|7|5>>
    <associate|toc-8|<tuple|7|5>>
    <associate|toc-9|<tuple|6|5>>
    <associate|var-alpha-cond|<tuple|1|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <with|par-left|<quote|2tab>|Functions of interest
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1>>

      <with|par-left|<quote|2tab>|Testing functional identities
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>>

      <with|par-left|<quote|2tab>|Evaluating functions whereever they are
      defined <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>>

      <with|par-left|<quote|2tab>|Effective complex number
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-4>>

      <with|par-left|<quote|2tab>|Effective series
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-5>>

      <with|par-left|<quote|2tab>|Effective germ (at the origin)
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-6>>

      <with|par-left|<quote|2tab>|Quasi-effective analytic function
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-7>>

      <with|par-left|<quote|2tab>|Homotopy condition
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-8>>

      <with|par-left|<quote|2tab>|Continuity condition
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-9>>

      <with|par-left|<quote|2tab>|Extended effective domain
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-10>>

      <with|par-left|<quote|2tab>|Evaluation on extended domain
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-11>>
    </associate>
  </collection>
</auxiliary>